<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/Recipes/CacheObject.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dc2/_cache_object_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CacheObject.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dc2/_cache_object_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html#ad14c19b89a8fae0889ef11cc86275f84">    4</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#ad14c19b89a8fae0889ef11cc86275f84">m_Mask</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html#adaa34c6426ff5a1ef787df9183720148">    5</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#adaa34c6426ff5a1ef787df9183720148">m_BitCount</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html#a421f4775af22cb5855237e33bc1b7056">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a421f4775af22cb5855237e33bc1b7056">RecipeCacheData</a>(<span class="keywordtype">int</span> mask)</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a33767359b031b40d43d3096c02aac029">SetMask</a>(mask);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    }</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html#a7a4a5481a617fc884e703e68df622203">   12</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a7a4a5481a617fc884e703e68df622203">GetMask</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#ad14c19b89a8fae0889ef11cc86275f84">m_Mask</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html#ad11bf5831fa1bda04dc02c25b6b00e8b">   17</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#ad11bf5831fa1bda04dc02c25b6b00e8b">GetBitCount</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#adaa34c6426ff5a1ef787df9183720148">m_BitCount</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../df/dca/class_recipe_cache_data.html#a33767359b031b40d43d3096c02aac029">   22</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a33767359b031b40d43d3096c02aac029">SetMask</a>(<span class="keywordtype">int</span> mask)</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#ad14c19b89a8fae0889ef11cc86275f84">m_Mask</a> = mask;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#adaa34c6426ff5a1ef787df9183720148">m_BitCount</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">GetNumberOfSetBits</a>(mask);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>}</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="keyword">class </span><a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a63b0fa68ad4ea3b06a459eced6c76a36">CacheObject</a></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">   32</a></span>    ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref RecipeCacheData&gt;</a> <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">   33</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">m_RecipeIDs</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">//RecipeCacheData data;</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a63b0fa68ad4ea3b06a459eced6c76a36">   35</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a63b0fa68ad4ea3b06a459eced6c76a36">CacheObject</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;int, ref RecipeCacheData&gt;</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">m_RecipeIDs</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#ac6d6325f707f047efad792f92e85970f">   41</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#ac6d6325f707f047efad792f92e85970f">AddRecipe</a>(<span class="keywordtype">int</span> recipe_id, <span class="keywordtype">int</span> mask)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_class" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a> data = <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Get(recipe_id);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">if</span>(data)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a911ba79166fd9a7f804831bfb826d298">UpdateMask</a>(recipe_id, mask);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Insert(recipe_id, <span class="keyword">new</span> <a class="code hl_class" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a>(mask));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">m_RecipeIDs</a>.Insert(recipe_id);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a911ba79166fd9a7f804831bfb826d298">   58</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a911ba79166fd9a7f804831bfb826d298">UpdateMask</a>(<span class="keywordtype">int</span> recipe_id, <span class="keywordtype">int</span> mask)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a> data = <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Get(recipe_id);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        data.<a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a33767359b031b40d43d3096c02aac029">SetMask</a>(data.<a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a7a4a5481a617fc884e703e68df622203">GetMask</a>() | mask);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a4f70a17267e5e4b149961149f2744f9d">   66</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a4f70a17267e5e4b149961149f2744f9d">GetNumberOfRecipes</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Count();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a086a92a0c147d79b41422634fb58a642">   71</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a086a92a0c147d79b41422634fb58a642">GetRecipes</a>()</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">m_RecipeIDs</a>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a0166c4817e803168efe6ae4b5c5bd9d2">   76</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a0166c4817e803168efe6ae4b5c5bd9d2">IsContainRecipe</a>(<span class="keywordtype">int</span> recipe_id)</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Contains(recipe_id);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a512dc35a783542dfc4be54883e347b87">   81</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a512dc35a783542dfc4be54883e347b87">GetMaskByRecipeID</a>(<span class="keywordtype">int</span> recipe_id)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_class" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a> cache_data = <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Get(recipe_id);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span>(cache_data)</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> cache_data.<a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#a7a4a5481a617fc884e703e68df622203">GetMask</a>();</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a397ebc34e29fefaffc2b9d50a86ab094">   89</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../d5/dc2/_cache_object_8c.html#a397ebc34e29fefaffc2b9d50a86ab094">GetBitCountByRecipeID</a>(<span class="keywordtype">int</span> recipe_id)</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_class" href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a> cache_data = <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Get(recipe_id);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <span class="keywordflow">if</span>(cache_data)</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            <span class="keywordflow">return</span> cache_data.<a class="code hl_function" href="../../df/dca/class_recipe_cache_data.html#ad11bf5831fa1bda04dc02c25b6b00e8b">GetBitCount</a>();</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d5/dc2/_cache_object_8c.html#a54a42b6f468a76a4ea6107c908d52d4b">   97</a></span>    <span class="keywordtype">void</span> <a class="code hl_class" href="../../dc/d26/class_debug_print.html">DebugPrint</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; <a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.Count();i++)</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;recipeID:&quot;</span>+<a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.GetKey(i).ToString());</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;mask:&quot;</span>+<a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.GetElement(i).<a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#ad14c19b89a8fae0889ef11cc86275f84">m_Mask</a>.ToString());</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <a class="code hl_function" href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a>(<span class="stringliteral">&quot;m_BitCount:&quot;</span>+<a class="code hl_variable" href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a>.GetElement(i).<a class="code hl_variable" href="../../df/dca/class_recipe_cache_data.html#adaa34c6426ff5a1ef787df9183720148">m_BitCount</a>.ToString());</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>    }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>}</div>
<div class="ttc" id="a_cache_object_8c_html_a0166c4817e803168efe6ae4b5c5bd9d2"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a0166c4817e803168efe6ae4b5c5bd9d2">IsContainRecipe</a></div><div class="ttdeci">bool IsContainRecipe(int recipe_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00076">CacheObject.c:76</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a086a92a0c147d79b41422634fb58a642"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a086a92a0c147d79b41422634fb58a642">GetRecipes</a></div><div class="ttdeci">array&lt; int &gt; GetRecipes()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00071">CacheObject.c:71</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a17a167019fe3cd9dfcf3bd14a9a5bb76"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a17a167019fe3cd9dfcf3bd14a9a5bb76">m_RecipeIDs</a></div><div class="ttdeci">ref array&lt; int &gt; m_RecipeIDs</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00033">CacheObject.c:33</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a397ebc34e29fefaffc2b9d50a86ab094"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a397ebc34e29fefaffc2b9d50a86ab094">GetBitCountByRecipeID</a></div><div class="ttdeci">int GetBitCountByRecipeID(int recipe_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00089">CacheObject.c:89</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a4f70a17267e5e4b149961149f2744f9d"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a4f70a17267e5e4b149961149f2744f9d">GetNumberOfRecipes</a></div><div class="ttdeci">int GetNumberOfRecipes()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00066">CacheObject.c:66</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a4fe8346eb816b9d84f65980d2d83b371"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a4fe8346eb816b9d84f65980d2d83b371">m_Recipes</a></div><div class="ttdeci">class RecipeCacheData m_Recipes</div></div>
<div class="ttc" id="a_cache_object_8c_html_a512dc35a783542dfc4be54883e347b87"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a512dc35a783542dfc4be54883e347b87">GetMaskByRecipeID</a></div><div class="ttdeci">int GetMaskByRecipeID(int recipe_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00081">CacheObject.c:81</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a63b0fa68ad4ea3b06a459eced6c76a36"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a63b0fa68ad4ea3b06a459eced6c76a36">CacheObject</a></div><div class="ttdeci">void CacheObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00035">CacheObject.c:35</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_a911ba79166fd9a7f804831bfb826d298"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#a911ba79166fd9a7f804831bfb826d298">UpdateMask</a></div><div class="ttdeci">void UpdateMask(int recipe_id, int mask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00058">CacheObject.c:58</a></div></div>
<div class="ttc" id="a_cache_object_8c_html_ac6d6325f707f047efad792f92e85970f"><div class="ttname"><a href="../../d5/dc2/_cache_object_8c.html#ac6d6325f707f047efad792f92e85970f">AddRecipe</a></div><div class="ttdeci">bool AddRecipe(int recipe_id, int mask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00041">CacheObject.c:41</a></div></div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="aclass_debug_print_html"><div class="ttname"><a href="../../dc/d26/class_debug_print.html">DebugPrint</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d95/_debug_print_8c_source.html#l00001">DebugPrint.c:2</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html">RecipeCacheData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00002">CacheObject.c:3</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html_a33767359b031b40d43d3096c02aac029"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html#a33767359b031b40d43d3096c02aac029">RecipeCacheData::SetMask</a></div><div class="ttdeci">void SetMask(int mask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00022">CacheObject.c:22</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html_a421f4775af22cb5855237e33bc1b7056"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html#a421f4775af22cb5855237e33bc1b7056">RecipeCacheData::RecipeCacheData</a></div><div class="ttdeci">void RecipeCacheData(int mask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00007">CacheObject.c:7</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html_a7a4a5481a617fc884e703e68df622203"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html#a7a4a5481a617fc884e703e68df622203">RecipeCacheData::GetMask</a></div><div class="ttdeci">int GetMask()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00012">CacheObject.c:12</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html_ad11bf5831fa1bda04dc02c25b6b00e8b"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html#ad11bf5831fa1bda04dc02c25b6b00e8b">RecipeCacheData::GetBitCount</a></div><div class="ttdeci">int GetBitCount()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00017">CacheObject.c:17</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html_ad14c19b89a8fae0889ef11cc86275f84"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html#ad14c19b89a8fae0889ef11cc86275f84">RecipeCacheData::m_Mask</a></div><div class="ttdeci">int m_Mask</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00004">CacheObject.c:4</a></div></div>
<div class="ttc" id="aclass_recipe_cache_data_html_adaa34c6426ff5a1ef787df9183720148"><div class="ttname"><a href="../../df/dca/class_recipe_cache_data.html#adaa34c6426ff5a1ef787df9183720148">RecipeCacheData::m_BitCount</a></div><div class="ttdeci">int m_BitCount</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dc2/_cache_object_8c_source.html#l00005">CacheObject.c:5</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agroup___debug_html_gaaa9351d895a1f244a26fd635c378c536"><div class="ttname"><a href="../../d0/d62/group___debug.html#gaaa9351d895a1f244a26fd635c378c536">Print</a></div><div class="ttdeci">proto void Print(void var)</div><div class="ttdoc">Prints content of variable to console/log.</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gaf4c70bf52ed5d2c4d7bcd0b32e987b88"><div class="ttname"><a href="../../d5/d98/group___math.html#gaf4c70bf52ed5d2c4d7bcd0b32e987b88">Math::GetNumberOfSetBits</a></div><div class="ttdeci">static proto int GetNumberOfSetBits(int i)</div><div class="ttdoc">returns the number of bits set in a bitmask i</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9c03c092f9469dd2c1a1487fb696496c.html">Recipes</a></li><li class="navelem"><a class="el" href="../../d5/dc2/_cache_object_8c.html">CacheObject.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
